body > footer {
	position: fixed;
	bottom: 0;
	left: 0;
	width: 100%;
	z-index: 0;
	background-color: var(--ap-background-2);
}

.ws-elementor-widget-ws-footer {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	gap: 38px;
	padding: 80px 250px 80px 80px;
}

.ws-footer__logo {
	display: block;
}
.ws-footer__logo svg {
	fill: #fff;
	width: 77px;
	min-width: 77px;
	max-width: 77px;
	height: 77px;
	min-width: 77px;
	max-width: 77px;
}

.ws-footer-contact {
	display: flex;
	flex-direction: column;
	gap: 30px;
}

.ws-footer__nav,
.ws-footer__nav--contact,
.ws-footer__nav--legal {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	gap: 5px;
	list-style: none;
}
.ws-footer__nav--contact {
	gap: 2px;
}

.ws-footer__nav li a,
.ws-footer__nav--contact li a,
.ws-footer__nav--legal li a,
.ws-footer__address,
.ws-footer__address a {
	color: #fff !important;
	font-family: "Plus Jakarta Sans";
	font-size: 14px;
	font-style: normal;
	font-weight: 400;
	line-height: 140%;
	text-decoration: none;
	transition: opacity 0.2s ease;
}

.ws-footer__nav li a:hover,
.ws-footer__nav--contact li a:hover,
.ws-footer__nav--legal li a:hover,
.ws-footer__address a:hover {
	opacity: 0.7;
}

.ws-footer__nav--contact li a {
    position: relative;
}

.ws-footer__nav--contact li a::before {
    position: absolute;
    top: -1px;
    bottom: -3px;
    left: -4px;
    right: calc(100% + 4px);
    z-index: -1;
    background-color: var(--ap-divider);
}

body.footer--contact-link .ws-footer__nav--contact li a::before {
    content: '';
    animation: contact-link-highlight 1.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) 1;
}

@keyframes contact-link-highlight {
    0% {
        left: -4px;
        right: calc(100% + 4px);
    }
    50% {
        left: -4px;
        right: -4px;
    }
    100% {
        left: calc(100% + 4px);
        right: -4px;
    }
}

@media (max-width: 1000px) {
	.ws-elementor-widget-ws-footer {
		gap: 15px;
	}
}

@media (max-width: 767px) {
	.ws-elementor-widget-ws-footer {
		flex-direction: column;
		gap: 30px;
	}
}

/* ------ */

.ws-elementor-widget-ws-footer {
	transform: translateY(calc(50px - (50px * var(--footer-scroll-progress-translate))));
}

body.footer-scrolled {
    background-color: var(--ap-background-2) !important;
}

header {
    transform-origin: bottom;
	transform: scaleX(calc(1 - (0.05 * var(--footer-scroll-progress))));
	border-bottom-left-radius: calc(6px * var(--footer-scroll-progress));
	border-bottom-right-radius: calc(6px * var(--footer-scroll-progress));
}

header {
    transform-origin: top;
    border-radius: 0;
}
header + div {
    transform-origin: top;
    transform: scaleX(calc(1 - (0.05 * var(--footer-scroll-progress))));
    border-bottom-left-radius: calc(6px * var(--footer-scroll-progress));
    border-bottom-right-radius: calc(6px * var(--footer-scroll-progress));
    box-shadow: 0 30px 30px rgb(0 0 0 / calc(0.03 * var(--footer-scroll-progress)));
}

body.footer-scrolled header + div {
    overflow: hidden;
}